Bug 145417 - Clock enhancement suggestion
Clock enhancement suggestion
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: gnome-applets (Show other bugs)
8
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
: FutureFeature, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-17 23:43 EST by Don Russell
Modified: 2008-03-20 00:21 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-20 00:21:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Don Russell 2005-01-17 23:43:26 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.5)
Gecko/20041107 Firefox/1.0

Description of problem:
The clock application displays a small clock in the task bar with the
date and time.

I'd like to be able to have a preference setting to specify a string
to use as the format string used by strftime.

Also, I'd like a new substitution variable that will put in the
username of the logged on user.

The reason for this is that I log onto many different user ids on the
system and it would be a nice little feature to display the user id in
a consistent place.

A string I might use:
[$u] %a %d %b, %H:%M %p

The $ variables would be resolved before giving the string to strftime
which will handle all the % variables. In my example $u would be
substituted for the logged on user id/name.

It would be nice to be able to set this globally, but I suppose if I
had to set it once for each user, that's acceptable.









Version-Release number of selected component (if applicable):
2.8.1

How reproducible:
Always

Steps to Reproduce:
1. Reproducabilty doesn;t really apply... this is a suggestion for a
new feature.
2.
3.
    

Additional info:
Comment 1 Matthew Miller 2006-07-10 19:04:55 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 2 Don Russell 2006-07-11 19:43:13 EDT
Changed from FC3 to FC5, changed software version to Clock 2.14.2

Suggestions still apply,
Thanks.
Comment 3 Matthew Miller 2006-07-11 21:57:38 EDT
Thank you!
Comment 4 petrosyan 2008-03-10 01:56:42 EDT
Fedora Core 5 is no longer maintained. Is this bug still present in Fedora 8?

If it is still present please update the version field and file this bug in
upstream GNOME bugzilla http://bugzilla.gnome.org/
Comment 5 Ray Strode [halfline] 2008-03-18 14:34:18 EDT
Hi,

We no longer support Fedora Core 5 and I am currently trying to get my open bug
count down to a more manageable state.  I'm going to close this bug as WONTFIX.
 If this issue is still a concern for you, would you mind trying to reproduce on
a supported version of Fedora and reopening?

(this is a mass message)
Comment 6 Don Russell 2008-03-19 13:48:08 EDT
Sorry for not getting back sooner...
Yes, still applies to Fedora 8 - I changed the version number above.

Also:
gnome-applets-2.20.1-1.fc8

It is rather low priority though. But I'd like to leave it open... might be a
good exercise for somebody new to Fedora contributing...

I'm sure I could do it... I just don't know the process of getting the source
code etc. (hint: if you can tell me that, I can probably send you a diff file or
something. Would that help?)
Comment 7 Ray Strode [halfline] 2008-03-19 14:15:26 EDT
Hi Don,

So you can get the current username on your panel by adding the "User Switcher"
applet.

I don't think exposing format strings to the user in the preferences dialog
would be very user friendly.  It might make sense to expose it in GConf. 

Either way, this would probably be better filed upstream so it can get more eyes
on it.

Would you mind doing that? If you'd rather me file it upstream, I'd be happy to.
Comment 8 Don Russell 2008-03-19 14:27:18 EDT
If you can tell me where "upstream" is... I can do it.
But probably in the time it takes to explain it to me, you could have it done. :-)

I agree with you about exposing format strings... I'd probably want a "build
format string" function where I could pick/choose the format I want, and let the
format string get built behind the scenes.

Sort of like in MS Excel when formating a cell as a date... it let's you select
some predefined things, or "custom" and then there are "tokens" that represent
the actual value you want. i.e d is day of month with no leading zero, ddd if
three letter day, dddd is full day spelled out in full, etc.
Comment 9 Ray Strode [halfline] 2008-03-19 14:42:17 EDT
Upstream is here:

http://bugzilla.gnome.org
Comment 10 Don Russell 2008-03-19 14:54:52 EDT
OK... I'll do that. (Probably tonight)
Then I'll cross reference it here, and close this.

Cheers,
Don
Comment 11 Don Russell 2008-03-20 00:21:22 EDT
Filed upstream: http://bugzilla.gnome.org/show_bug.cgi?id=523502

Note You need to log in before you can comment on or make changes to this bug.